Package org.flowable.dmn.api

# Interface DmnDecision

public interface DmnDecision
An object structure representing an executable DMN decision

Author:
  Tijs Rademakers, Joram Barez, Yvo Swillens

- ## Method Summary

  Modifier and Type
  Method
  Description
  `String`
  `getCategory()`
  category name of this definition
  `String`
  `getDecisionType()`
  The decision type of this definition
  `String`
  `getDeploymentId()`
  The deployment in which this definition is contained.
  `String`
  `getDescription()`
  description of this definition
  `String`
  `getDiagramResourceName()`
  The resource name in the deployment of the diagram image (if any).
  `String`
  `getId()`
  unique identifier
  `String`
  `getKey()`
  unique name for all versions this definition
  `String`
  `getName()`
  label used for display purposes
  `String`
  `getResourceName()`
  name of `the resource` of this definition.
  `String`
  `getTenantId()`
  The tenant identifier of this definition
  `int`
  `getVersion()`
  version of this definition
  `boolean`
  `hasGraphicalNotation()`
  Does this decision have a graphical notation defined (such that a diagram can be generated)?

- ## Method Details

  - ### getId

    String getId()
    unique identifier

  - ### getCategory

    String getCategory()
    category name of this definition

  - ### getName

    String getName()
    label used for display purposes

  - ### getKey

    String getKey()
    unique name for all versions this definition

  - ### getDescription

    String getDescription()
    description of this definition

  - ### getVersion

    int getVersion()
    version of this definition

  - ### getResourceName

    String getResourceName()
    name of `the resource` of this definition.

  - ### hasGraphicalNotation

    boolean hasGraphicalNotation()
    Does this decision have a graphical notation defined (such that a diagram can be generated)?

  - ### getDiagramResourceName

    String getDiagramResourceName()
    The resource name in the deployment of the diagram image (if any).

  - ### getDeploymentId

    String getDeploymentId()
    The deployment in which this definition is contained.

  - ### getTenantId

    String getTenantId()
    The tenant identifier of this definition

  - ### getDecisionType

    String getDecisionType()
    The decision type of this definition